LZK - (FR) suivi des tâches / (EN) tasks tracking

French/français : Bienvenue sur le logiciel de suivi du projet LibraZiK. Après vous être inscrit, vous pouvez commenter les tâches ouvertes, créer de nouvelles tâches, voter pour des tâches, vous inscrire à des tâches pour être tenu au courant des évolutions,… Pensez à être le plus précis possible dans vos messages. D'avantage d'information concernant le logiciel de suivi du projet LibraZiK.

Anglais/english : Welcome to the LibraZiK project tracking software. After registering, you can comment open tasks, create new tasks, vote for tasks, register for tasks to be kept informed of developments,… Remember to be as precise as possible in your messages. More information about the LibraZiK project tracking software. Feel free to write in French or in English.

  • Status Closed
  • Percent Complete
    100%
  • Task Type Demande fonctionnalité / Feature request
  • Category documentation
  • Assigned To
    Olivier Humbert
  • Operating System
  • Severity Medium
  • Priority Very Low
  • Reported Version version 2 20180120
  • Due in Version version 2 20190702
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: LZK - (FR) suivi des tâches / (EN) tasks tracking
Opened by Erwan Lerale - 12.11.2018
Last edited by Olivier Humbert - 20.11.2018

FS#662 - carla-bridge-wine32 pas installable

Hello,

Il manque carla-bridge-wine32 pour pouvoir installer carla-bridge-win32.

root@LibraZiK2-studio-audio:/home/erwan# apt-get install carla-bridge-win32
Lecture des listes de paquets… Fait
Construction de l'arbre des dépendances
Lecture des informations d'état… Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
carla-bridge-win32 : Dépend: carla-bridge-wine32 mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

root@LibraZiK2-studio-audio:/home/erwan# apt-get install carla-bridge-wine32
Lecture des listes de paquets… Fait
Construction de l'arbre des dépendances
Lecture des informations d'état… Fait
Aucune version du paquet carla-bridge-wine32 n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « carla-bridge-wine32 » n'a pas de version susceptible d'être installée

A+
Erwan

Closed by  Olivier Humbert
20.11.2018 08:27
Reason for closing:  Implémenté
Admin
Olivier Humbert commented on 12.11.2018 18:36

C'est "normal".

Pour installer le pont carla-bridge-win32, il faut installer le paquet carla-bridge-linux32 qui n'existe pas en version 64bits.
Pour cela, il faut activer le support multi arch, voici les étapes (de mémoire).

En premier, il faut ajouter l'architecture-système 32 bits à ton architecture-système actuelle 64 bits.
Dans un terminal : su -c "dpkg –add-architecture i386"

Maintenant, tu peux lancer Synaptic et faire un "Recharger".

(attendre que l'indexation se refasse complètement)

À présent, tu dois pouvoir installer le paquet "carla-bridge-linux32:i386".
Ceci prévient que ça entraînera l'installation des paquets suivants :
- gcc-6-base:i386 (version 6.3.0-18+deb9u1)
- libbsd0:i386 (version 0.8.3-1)
- libc6:i386 (version 2.24-11+deb9u3)
- libgcc1:i386 (version 1:6.3.0-18+deb9u1)
- libstdc++6:i386 (version 6.3.0-18+deb9u1)
- libx11-6:i386 (version 2:1.6.4-3+deb9u1)
- libxau6:i386 (version 1:1.0.8-1)
- libxcb1:i386 (version 1.12-1)
- libxdmcp6:i386 (version 1:1.1.2-3)
OK, c'est parti.

Maintenant que le paquet "carla-bridge-linux32:i386" est installé, tu dois pouvoir installer le paquet "carla-bridge-win32".
Ceci prévient que ça entraînera l'installation des paquets suivants :
- carla-bridge-wine32:i386 (version 1.9.11+20180916~git430740a~2.0-RC1-0librazik1)
- libjack-jackd2-0:i386 (version 1.9.12-0librazik2)
- libopus0:i386 (version 1.2~alpha2-1)
- libsamplerate0:i386 (version 0.1.8-8+b2)
OK, c'est parti.

Tu peux fermer Synaptic et lancer Carla.

Dans Carla → Ajouter un greffon → Rafraîchir → Chercher les nouveaux…, il doit maintenant y avoir "Linux 32bit" et "Windows 32bits" que tu peux cocher, puis lancer le scannage.

Et là, tu devrais pouvoir trouver les bouses çapucépalibre.


Note pour moi-même (rédaction de la documentation) : pour désinstaller tout cela proprement :
1) lancer Synaptic
2) dans Synaptic → cliquez sur le bouton "Architecture" (en bas à droite), puis sur "arch: i386", puis dans l'entête de la liste sur le "S" ce qui listera les paquets d'architecture i386 (xxxxx:i386) installés.
3) les sélectionner → clic-droit → "Sélectionner pour suppression complète"
4) ceci prévient que ça entraînera l'installation du paquet "carla-bridge-win32", cliquez sur le bouton "Ajouter à la sélection"
5) "Appliquer"
6) quitter synaptic

Maintenant, nous pouvons retirer l'architecture-système 32 bits.
Dans un terminal : su -c "dpkg –remove-architecture i386"

Erwan Lerale commented on 12.11.2018 19:04

Hello,

Je suis à présent en mesure d'installer les packages en question !

Tous les voyants sont au vert lors du rescan dans Carla.

Par contre, les choses se compliquent… En effet, Carla ne détecte pas les 2 plugins VST testés.

A+
Erwan

Erwan Lerale commented on 12.11.2018 21:42

Hello,

En fouinant un peu, je suis tombé sur cela :

erwan@LibraZiK2-studio-audio:~$ wine /usr/lib/carla/carla-discovery-win32.exe vst /home/erwan/Bureau/vsttest/
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
it looks like wine32 is missing, you should install it.
as root, please execute "apt-get install wine32"
wine: Mauvais format EXE pour Z:\usr\lib\carla\carla-discovery-win32.exe.

donc "apt-get install wine32", il installe pas mal de trucs et…. ça fonctionne :)

Merci
Erwan

Admin
Olivier Humbert commented on 13.11.2018 11:40

Bien joué r1.

Pour info (et future construction du tuto) : après un scannage des greffons dans Carla, vous voyez dans l'onglet "Journal" ceci :
wine: Bad EXE format for Z:\usr\lib\carla\carla-discovery-win32.exe.
alors voici une solution qui fonctionne dans la (probable) majorité des cas.

Dans Synaptic, demander l'installation de "wine32:i386".
Ceci prévient que ça entraînera l'installation des paquets suivants :
- gstreamer1.0-plugins-base:i386 (version 1.10.4-1)
- i965-va-driver:i386 (version 1.7.3-1)
- libasound2-plugins:i386 (version 1.1.1-1)
- libasound2:i386 (version 1.1.3-5)
- libasyncns0:i386 (version 0.8-6)
- libavahi-client3:i386 (version 0.6.32-2)
- libavahi-common-data:i386 (version 0.6.32-2)
- libavahi-common3:i386 (version 0.6.32-2)
- libavcodec57:i386 (version 7:3.2.12-1~deb9u1)
- libavresample3:i386 (version 7:3.2.12-1~deb9u1)
- libavutil55:i386 (version 7:3.2.12-1~deb9u1)
- libblkid1:i386 (version 2.29.2-1+deb9u1)
- libcairo2:i386 (version 1.14.8-1)
- libcap2:i386 (version 1:2.25-1)
- libcapi20-3:i386 (version 1:3.27-2)
- libcdparanoia0:i386 (version 3.10.2+debian-11)
- libcomerr2:i386 (version 1.43.4-2)
- libcrystalhd3:i386 (version 1:0.0~git20110715.fdd2f19-12)
- libcups2:i386 (version 2.2.1-8+deb9u2)
- libdb5.3:i386 (version 5.3.28-12+deb9u1)
- libdbus-1-3:i386 (version 1.10.26-0+deb9u1)
- libdrm-amdgpu1:i386 (version 2.4.74-1)
- libdrm-intel1:i386 (version 2.4.74-1)
- libdrm-nouveau2:i386 (version 2.4.74-1)
- libdrm-radeon1:i386 (version 2.4.74-1)
- libdrm2:i386 (version 2.4.74-1)
- libedit2:i386 (version 3.1-20160903-3)
- libelf1:i386 (version 0.168-1)
- libexif12:i386 (version 0.6.21-2+b2)
- libexpat1:i386 (version 2.2.0-2+deb9u1)
- libffi6:i386 (version 3.2.1-6)
- libflac8:i386 (version 1.3.2-1)
- libfontconfig1:i386 (version 2.11.0-6.7+b1)
- libfreetype6:i386 (version 2.6.3-3.2)
- libgcrypt20:i386 (version 1.7.6-2+deb9u3)
- libgd3:i386 (version 2.2.4-2+deb9u3)
- libgl1-mesa-dri:i386 (version 13.0.6-1+b2)
- libgl1-mesa-glx:i386 (version 13.0.6-1+b2)
- libglapi-mesa:i386 (version 13.0.6-1+b2)
- libglib2.0-0:i386 (version 2.50.3-2)
- libglu1-mesa:i386 (version 9.0.0-2.1)
- libgmp10:i386 (version 2:6.1.2+dfsg-1)
- libgnutls30:i386 (version 3.5.8-5+deb9u4)
- libgomp1:i386 (version 6.3.0-18+deb9u1)
- libgpg-error0:i386 (version 1.26-2)
- libgphoto2-6:i386 (version 2.5.12-1)
- libgphoto2-port12:i386 (version 2.5.12-1)
- libgpm2:i386 (version 1.20.4-6.2+b1)
- libgsm1:i386 (version 1.0.13-4+b2)
- libgssapi-krb5-2:i386 (version 1.15-1+deb9u1)
- libgstreamer-plugins-base1.0-0:i386 (version 1.10.4-1)
- libgstreamer1.0-0:i386 (version 1.10.4-1)
- libhogweed4:i386 (version 3.3-1+b2)
- libice6:i386 (version 2:1.0.9-2)
- libicu57:i386 (version 57.1-6+deb9u2)
- libidn11:i386 (version 1.33-1)
- libieee1284-3:i386 (version 0.2.11-13)
- libjbig0:i386 (version 2.1-3.1+b2)
- libjpeg62-turbo:i386 (version 1:1.5.1-2)
- libk5crypto3:i386 (version 1.15-1+deb9u1)
- libkeyutils1:i386 (version 1.5.9-9)
- libkrb5-3:i386 (version 1.15-1+deb9u1)
- libkrb5support0:i386 (version 1.15-1+deb9u1)
- liblcms2-2:i386 (version 2.8-4+deb9u1)
- libldap-2.4-2:i386 (version 2.4.44+dfsg-5+deb9u2)
- libllvm3.9:i386 (version 1:3.9.1-9)
- libltdl7:i386 (version 2.4.6-2)
- liblz4-1:i386 (version 0.0~r131-2+b1)
- liblzma5:i386 (version 5.2.2-1.2+b1)
- libmount1:i386 (version 2.29.2-1+deb9u1)
- libmp3lame0:i386 (version 3.99.5+repack1-9+b2)
- libmpg123-0:i386 (version 1.23.8-1+b1)
- libncurses5:i386 (version 6.0+20161126-1+deb9u2)
- libnettle6:i386 (version 3.3-1+b2)
- libnuma1:i386 (version 2.0.11-2.1)
- libodbc1:i386 (version 2.3.4-1)
- libogg0:i386 (version 1.3.2-1)
- libopenal1:i386 (version 1:1.17.2-4+b2)
- libopenjp2-7:i386 (version 2.1.2-1.1+deb9u2)
- liborc-0.4-0:i386 (version 1:0.4.26-2)
- libosmesa6:i386 (version 13.0.6-1+b2)
- libp11-kit0:i386 (version 0.23.3-2)
- libpcap0.8:i386 (version 1.8.1-3)
- libpciaccess0:i386 (version 0.13.4-1+b2)
- libpcre3:i386 (version 2:8.39-3)
- libpixman-1-0:i386 (version 0.34.0-1)
- libpng16-16:i386 (version 1.6.28-1)
- libpulse0:i386 (version 10.0-1+deb9u1)
- libsane-extras:i386 (version 1.0.22.4)
- libsane:i386 (version 1.0.25-4.1)
- libsasl2-2:i386 (version 2.1.27~101-g0780600+dfsg-3)
- libsasl2-modules-db:i386 (version 2.1.27~101-g0780600+dfsg-3)
- libsasl2-modules:i386 (version 2.1.27~101-g0780600+dfsg-3)
- libselinux1:i386 (version 2.6-3+b3)
- libsensors4:i386 (version 1:3.4.0-4)
- libshine3:i386 (version 3.1.0-5)
- libsm6:i386 (version 2:1.2.2-1+b3)
- libsnappy1v5:i386 (version 1.1.3-3)
- libsndfile1:i386 (version 1.0.27-3)
- libsndio6.1:i386 (version 1.1.0-3)
- libsoxr0:i386 (version 0.1.2-2)
- libspeex1:i386 (version 1.2~rc1.2-1+b2)
- libspeexdsp1:i386 (version 1.2~rc1.2-1+b2)
- libssl1.1:i386 (version 1.1.0f-3+deb9u2)
- libswresample2:i386 (version 7:3.2.12-1~deb9u1)
- libsystemd0:i386 (version 232-25+deb9u6)
- libtasn1-6:i386 (version 4.10-1.1+deb9u1)
- libtheora0:i386 (version 1.1.1+dfsg.1-14+b1)
- libtiff5:i386 (version 4.0.8-2+deb9u2)
- libtinfo5:i386 (version 6.0+20161126-1+deb9u2)
- libtwolame0:i386 (version 0.3.13-2)
- libtxc-dxtn-s2tc:i386 (version 1.0+git20151227-2)
- libudev1:i386 (version 232-25+deb9u6)
- libusb-1.0-0:i386 (version 2:1.0.21-1)
- libuuid1:i386 (version 2.29.2-1+deb9u1)
- libv4l-0:i386 (version 1.12.3-1)
- libv4lconvert0:i386 (version 1.12.3-1)
- libva-drm1:i386 (version 1.7.3-2)
- libva-x11-1:i386 (version 1.7.3-2)
- libva1:i386 (version 1.7.3-2)
- libvdpau-va-gl1:i386 (version 0.4.2-1)
- libvdpau1:i386 (version 1.1.1-6)
- libvisual-0.4-0:i386 (version 0.4.0-10)
- libvorbis0a:i386 (version 1.3.5-4+deb9u2)
- libvorbisenc2:i386 (version 1.3.5-4+deb9u2)
- libvpx4:i386 (version 1.6.1-3+deb9u1)
- libwavpack1:i386 (version 5.0.0-2+deb9u2)
- libwebp6:i386 (version 0.5.2-1)
- libwebpmux2:i386 (version 0.5.2-1)
- libwine:i386 (version 3.0-1~bpo9+rt+1librazik1)
- libwrap0:i386 (version 7.6.q-26)
- libx11-xcb1:i386 (version 2:1.6.4-3+deb9u1)
- libx264-148:i386 (version 2:0.148.2748+git97eaef2-1)
- libx265-95:i386 (version 2.1-2+b2)
- libxcb-dri2-0:i386 (version 1.12-1)
- libxcb-dri3-0:i386 (version 1.12-1)
- libxcb-glx0:i386 (version 1.12-1)
- libxcb-present0:i386 (version 1.12-1)
- libxcb-render0:i386 (version 1.12-1)
- libxcb-shm0:i386 (version 1.12-1)
- libxcb-sync1:i386 (version 1.12-1)
- libxcomposite1:i386 (version 1:0.4.4-2)
- libxcursor1:i386 (version 1:1.1.14-1+deb9u2)
- libxdamage1:i386 (version 1:1.1.4-2+b3)
- libxext6:i386 (version 2:1.3.3-1+b2)
- libxfixes3:i386 (version 1:5.0.3-1)
- libxi6:i386 (version 2:1.7.9-1)
- libxinerama1:i386 (version 2:1.1.3-1+b3)
- libxml2:i386 (version 2.9.4+dfsg1-2.2+deb9u2)
- libxpm4:i386 (version 1:3.5.12-1)
- libxrandr2:i386 (version 2:1.5.1-1)
- libxrender1:i386 (version 1:0.9.10-1)
- libxshmfence1:i386 (version 1.2-1+b2)
- libxslt1.1:i386 (version 1.1.29-2.1)
- libxtst6:i386 (version 2:1.2.3-1)
- libxvidcore4:i386 (version 2:1.3.4-1+b2)
- libxxf86vm1:i386 (version 1:1.1.4-1+b2)
- libzvbi0:i386 (version 0.2.35-13)
- mesa-va-drivers:i386 (version 13.0.6-1+b2)
- mesa-vdpau-drivers:i386 (version 13.0.6-1+b2)
- ocl-icd-libopencl1:i386 (version 2.2.11-1)
- va-driver-all:i386 (version 1.7.3-2)
- vdpau-driver-all:i386 (version 1.1.1-6)
- wine32:i386 (version 3.0-1~bpo9+rt+1librazik1)
- zlib1g:i386 (version 1:1.2.8.dfsg-5)

Ensuite, il faut refaire un scannage des greffons VST dans Carla.

Admin
Olivier Humbert commented on 14.11.2018 13:27
Admin
Olivier Humbert commented on 20.11.2018 08:24

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing